/api/v1/projects/{projectId}/document-files/{fileId}

This can be used to update a specific project document by its ID: rename it and/or change its source_id. Fields that are omitted keep their current value.

Path Params
string
required
string
required
Body Params
string

The new name of the file. When omitted, the file is not renamed.
Either name or source_id must be provided.

string | null

The unique identifier of the source. This is a user-generated string. You can use this to link the file to a resource in an external system.
When omitted, the current value is left unchanged. Send null to remove it.
Either name or source_id must be provided.

Headers
string

The HTTP Request-Id request header is an optional and unofficial HTTP header, used to trace individual HTTP requests from the client to the server and back again. It allows the client and server to correlate each HTTP request. If not provided by the client, the server should generate a unique request ID and include it in the response.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json